package com.hungraim.ltc.system.service.impl;

import com.hungraim.ltc.pojo.entity.SysConfig.ChFndAttach;
import com.hungraim.ltc.system.dao.ChFndAttachMapper;
import com.hungraim.ltc.system.service.AttachService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Date;

@Service
public class AttachServiceImpl implements AttachService {

    @Autowired
    private ChFndAttachMapper chFndAttachMapper;

    @Transactional(rollbackFor = Exception.class)
    @Override
    public Long saveFileInfo(String originalFilename, String realPath, Short attachType) {
        ChFndAttach chFndAttach = new ChFndAttach();
        chFndAttach.setFileName(originalFilename);
        chFndAttach.setFilePath(realPath);
        chFndAttach.setFileTime(new Date());
        chFndAttach.setAttachType(attachType);
        chFndAttach.setStatus((short) 0);
        chFndAttachMapper.insert(chFndAttach);
        return chFndAttach.getAttachId();
    }
}
